(function() {
    'use strict';

    angular.module('pgApp', ['ngRoute'])
        .config(['$routeProvider', AppConfig]);

    function AppConfig($routeProvider) {
        $routeProvider
            .when('/dashboard', {
                templateUrl: "views/report-table.html",
                controller: 'ProductGroupCtrl',
                resolve: {
                    currentAccount: ['$q', 'userService', 'kitService', 'labels',
                        function($q, userService, kitService, labels) {
                            var deferred = $q.defer();

                            labels.getLabels().then(function(resp) {
                                console.log(resp);
                                getKit(resp);
                            }, function(err){
                                console.log(err);
                                getKit();
                            });

                            function getKit(labels) {
                                kitService.getProductKitItems().then(function(results) {
                                    if(labels && labels.length > 0){
                                        results.labels = labels;
                                    }
                                    deferred.resolve(results);
                                }, function(err) {
                                    deferred.reject(err);
                                });
                            }

                            return deferred.promise;
                        }]
                }
            })
        ;
    }
})();