(function() {
    'use strict';

    angular.module('pgApp')
        .factory('orderLineService', ['$q', 'endpoints', factoryFn])
    ;

    function factoryFn($q, endpoints) {
        var orderLineService = this;
        orderLineService.getOrderLines_Order = function(orderId) {
            var deferred = $q.defer();

            endpoints.checkBundlePack().then(function(resp) {
                var flag = false;
                if(resp && resp[0].display){
                    flag = true;
                }
                endpoints.getOrderLines_Order(orderId, flag).then(function(resp) {
                    deferred.resolve(resp);
                }, function(error) {
                    deferred.reject(error);
                });
            }, function() {
                endpoints.getOrderLines_Order(orderId, false).then(function(resp) {
                    deferred.resolve(resp);
                }, function(error) {
                    deferred.reject(error);
                });
            });


            return deferred.promise;
        };

        return orderLineService;
    }
})();