(function() {
    'use strict';

    angular.module('pgApp')
        .factory('productGroupService', ['$q', 'endpoints', factoryFn])
    ;

    function factoryFn($q, endpoints) {
        var productGroupService = this;
        productGroupService.getProductGroup = function(productIds) {
            var deferred = $q.defer();

            var productIdsCopy = productIds.slice(0);
            var subArray = productIdsCopy;
            var res = [];
            var queue = $q.when();
            while(subArray.length >= 170){
                subArray = productIdsCopy.splice(170);
                queue = endpoints.getProductGroup(productIdsCopy).then(function(result){
                    if(result.success) {
                        res = res.concat(result.Product_Group_vod__c);
                    }
                });
                productIdsCopy = subArray;
            }
            if(productIdsCopy.length > 0){
                subArray = productIdsCopy.splice(170);
                queue = endpoints.getProductGroup(productIdsCopy).then(function(result){
                    if(result.success) {
                        res = res.concat(result.Product_Group_vod__c);
                    }
                });
                productIdsCopy = subArray;
            }

            queue.then(function(){
                res.success = true;
                deferred.resolve(res);
            }, function() {
                deferred.reject();
            });

            return deferred.promise;
        };

        return productGroupService;
    }
})();