(function() {
    'use strict';

    angular.module('pgApp')
        .factory('productService', ['$q', 'endpoints', factoryFn])
    ;

    function factoryFn($q, endpoints) {
        var productService = this;

        productService.getProductsList = function(productIds) {
            var deferred = $q.defer();

            endpoints.getProductsList(productIds).then(function(resp) {
                deferred.resolve(resp);
            }, function(error) {
                deferred.reject(error);
            });

            return deferred.promise;
        };

        return productService;
    }
})();