(function() {
    'use strict';

    angular.module('pgApp')
        .factory('userService', ['$q', 'endpoints', factoryFn])
    ;

    function factoryFn($q, endpoints) {
        var userService = this;
        var currentUser;

        userService.getCurrentUser = function() {
            var deferred = $q.defer();

            if(angular.isDefined(currentUser)) {
                deferred.resolve(currentUser);

            } else {
                endpoints.fetchCurrentUser().then(function(resp) {
                    console.log(resp);
                    currentUser = resp.User[0];
                    deferred.resolve(currentUser);
                });
            }

            return deferred.promise;
        };

        return userService;
    }
})();