(function() {
    'use strict';

    angular.module('pgApp')
        .value('queries', {
            bundlePack : {
                object : 'Order_Line_vod__c',
                fields : ["Bundle_Pack_Name_vod__c"]
            },
            labels : {
                object : 'Order_Line_vod__c',
                fields : ["Quantity_vod__c", "List_Amount_vod__c", "Net_Amount_vod__c"]
            },
            user : {
                object: 'User',
                fields: ['Id', 'LanguageLocaleKey'],
                where: 'Id = _userId'
            },
            orderLine : {
                object: 'Order_Line_vod__c',
                fields: ['Name', 'ID', 'Product_vod__c', 'Quantity_vod__c', 'Net_Amount_vod__c', 'List_Amount_vod__c'],
                where : 'Order_vod__c = _orderId',
                sort : ['Name ASC']
            },
            kitItems : {
                object : 'Product_vod__c',
                fields: ['Name', 'ID', 'Parent_Product_vod__c'],
                where : 'Product_Type_vod__c = \'Kit Item\'',
                sort : ['Name ASC']

            },
            productsList : {
                object : 'Product_vod__c',
                fields: ['Name', 'ID', 'Parent_Product_vod__c','Pricing_Bound_vod__c', 'Product_Type_vod__c'],
                where : 'Id IN ',
                sort : ['Name ASC']
            },
            productKitHeaders : {
                object : 'Product_vod__c',
                fields : ['Name', 'ID', 'Parent_Product_vod__c', 'Pricing_Bound_vod__c','Product_Type_vod__c'],
                where : 'Id IN ',
                sort : ['Name ASC']
            },
            productGroup : {
                object : 'Product_Group_vod__c',
                fields : ['Name', 'ID', 'Product_vod__c', 'Product_Catalog_vod__c'],
                where : 'Product_vod__c IN ',
                sort : ['Name ASC']
            },
            productGroupProducts : {
                object : 'Product_vod__c',
                fields : ['Name', 'ID','Sort_Code_vod__c'],
                where : 'Id IN ',
                sort : ['Sort_Code_vod__c ASC', 'Name ASC']
            }
        })
    ;
})();